domingo, 3 de abril de 2016

VLC 2.2.2 en Manjaro

Para los sufrientes amigos de los videos y demás yerbas multimedias que usan el viejo y querido VLC, habrán notado que luego de la última actualización (este post es del 02/04/2016) este programa no levanta.
Si lo ejecutan desde línea de comandos encontrarán el mensaje:

[hecsa@sdf1 ~]$ vlc
VLC media player 2.2.2 Weatherwax (revision 2.2.2-0-g6259d80)
[000000000062d148] core libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
Segmentation fault (core dumped)

Y si lo ejecutan en modo verborrágico:

[hecsa@sdf1 ~]$ vlc -v
VLC media player 2.2.2 Weatherwax (revision 2.2.2-0-g6259d80)
[0000000000c7b148] core libvlc warning: cannot load module `/usr/lib/vlc/plugins/visualization/libprojectm_plugin.so' (libprojectM.so.2: cannot open shared object file: No such file or directory)
[0000000000c7b148] core libvlc warning: cannot load module `/usr/lib/vlc/plugins/visualization/libgoom_plugin.so' (libgoom2.so.0: cannot open shared object file: No such file or directory)
[0000000000c7b148] core libvlc warning: cannot load module `/usr/lib/vlc/plugins/codec/libtwolame_plugin.so' (libtwolame.so.0: cannot open shared object file: No such file or directory)
[0000000000c7b148] core libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
Segmentation fault (core dumped)

La solución? Bien sencilla: hay que instalar algunos paquetes que los genios que armaron el instalable del VLC no pusieron como dependencias: 

[root@sdf1 ~]# pacman -S community/projectm community/projectm-jack community/projectm-libvisual community/projectm-pulseaudio community/projectm-qt community/projectm-test community/libgoom2  community/twolame 

Luego, abrimos de nuevo el querido VLC, y funciona. Los espero en la próxima entrega de "los garfios mágicos".
Publicar un comentario en la entrada